# Get Payment Methods

Retrieve all possible payment methods or filter the available by a fiat or coin code. The type of exchange is determined based on the codes provided to the source and target.

If the payment has a supported_agents field which is not null then there are limitations for accessing this payment by browser and operating system. To avoid the payment failing please block customers from accessing those payments from the wrong device

Endpoint: GET /api/payment-methods
Version: 1.3
Security: sec0

## Header parameters:

  - `Accept` (string)

  - `X-Request-Id` (string)
    This is the correlation ID related to the request.

## Query parameters:

  - `source` (string)
    Source currency or cryptocurrency code.

  - `target` (string)
    Source currency or cryptocurrency code.

## Response 200 fields (application/json):

  - `data` (object)

  - `data.payment_methods` (array)

  - `data.payment_methods.id` (integer)
    Example: 1

  - `data.payment_methods.name` (string)
    Example: "POLi"

  - `data.payment_methods.description` (string)
    Example: "POLi is an online payment option that allows you to use your internet banking system to securely buy crypto currency"

  - `data.payment_methods.logo_url` (string)
    Example: "https://banxa.com/img/poli.png"

  - `data.payment_methods.status` (string)
    Example: "ACTIVE"

  - `data.payment_methods.type` (string)
    Example: "FIAT_TO_CRYPTO"

  - `data.payment_methods.supported_agents` (any)

  - `data.payment_methods.supported_fiat` (array)
    Example: ["AUD"]

  - `data.payment_methods.supported_coin` (array)
    Example: ["BTC"]

  - `data.payment_methods.transaction_fees` (array)

  - `data.payment_methods.transaction_fees.fiat_code` (string)
    Example: "AUD"

  - `data.payment_methods.transaction_fees.coin_code` (string)
    Example: "BTC"

  - `data.payment_methods.transaction_fees.fees` (array)

  - `data.payment_methods.transaction_fees.fees.name` (string)
    Example: "surcharge"

  - `data.payment_methods.transaction_fees.fees.amount` (integer)
    Example: 2

  - `data.payment_methods.transaction_fees.fees.type` (string)
    Example: "percentage"

  - `data.payment_methods.transaction_limits` (array)

  - `data.payment_methods.transaction_limits.fiat_code` (string)
    Example: "AUD"

  - `data.payment_methods.transaction_limits.min` (integer)
    Example: 100

  - `data.payment_methods.transaction_limits.max` (integer)
    Example: 2000


